searchData={"items":[{"type":"module","title":"ElixirAuthGoogle","doc":"Minimalist Google OAuth Authentication for Elixir Apps.\nExtensively tested, documented, maintained and in active use in production.","ref":"ElixirAuthGoogle.html"},{"type":"type","title":"ElixirAuthGoogle.conn/0","doc":"","ref":"ElixirAuthGoogle.html#t:conn/0"},{"type":"function","title":"ElixirAuthGoogle.generate_oauth_url/1","doc":"`generate_oauth_url/1` creates the Google OAuth2 URL with client_id, scope and\nredirect_uri which is the URL Google will redirect to when auth is successful.\nThis is the URL you need to use for your \"Login with Google\" button.\nSee step 5 of the instructions.","ref":"ElixirAuthGoogle.html#generate_oauth_url/1"},{"type":"function","title":"ElixirAuthGoogle.generate_oauth_url/2","doc":"Same as `generate_oauth_url/1` with `state` query parameter,\nor a `map` of key/pair values to be included in the urls query string.","ref":"ElixirAuthGoogle.html#generate_oauth_url/2"},{"type":"function","title":"ElixirAuthGoogle.generate_redirect_uri/1","doc":"`generate_redirect_uri/1` generates the Google redirect uri based on `conn`\nor the `url`. If the `App.Endpoint.url()`\ne.g: auth.dwyl.com or https://gcal.fly.dev\nis passed into `generate_redirect_uri/1`,\nreturn that `url` with the callback appended to it.\nSee: github.com/dwyl/elixir-auth-google/issues/94","ref":"ElixirAuthGoogle.html#generate_redirect_uri/1"},{"type":"function","title":"ElixirAuthGoogle.get_baseurl_from_conn/1","doc":"`get_baseurl_from_conn/1` derives the base URL from the conn struct","ref":"ElixirAuthGoogle.html#get_baseurl_from_conn/1"},{"type":"function","title":"ElixirAuthGoogle.get_token/2","doc":"`get_token/2` encodes the secret keys and authorization code returned by Google\nand issues an HTTP request to get a person's profile data.\n\n**TODO**: we still need to handle the various failure conditions >> issues/16","ref":"ElixirAuthGoogle.html#get_token/2"},{"type":"function","title":"ElixirAuthGoogle.get_user_profile/1","doc":"`get_user_profile/1` requests the Google User's userinfo profile data\nproviding the access_token received in the `get_token/1` above.\ninvokes `parse_body_response/1` to decode the JSON data.\n\n**TODO**: we still need to handle the various failure conditions >> issues/16\nAt this point the types of errors we expect are HTTP 40x/50x responses.","ref":"ElixirAuthGoogle.html#get_user_profile/1"},{"type":"function","title":"ElixirAuthGoogle.google_client_id/0","doc":"","ref":"ElixirAuthGoogle.html#google_client_id/0"},{"type":"function","title":"ElixirAuthGoogle.inject_poison/0","doc":"`inject_poison/0` injects a TestDouble of HTTPoison in Test\nso that we don't have duplicate mock in consuming apps.\nsee: github.com/dwyl/elixir-auth-google/issues/35","ref":"ElixirAuthGoogle.html#inject_poison/0"},{"type":"function","title":"ElixirAuthGoogle.parse_body_response/1","doc":"`parse_body_response/1` parses the response returned by Google\nso your app can use the resulting JSON.","ref":"ElixirAuthGoogle.html#parse_body_response/1"},{"type":"type","title":"ElixirAuthGoogle.url/0","doc":"","ref":"ElixirAuthGoogle.html#t:url/0"},{"type":"module","title":"ElixirAuthGoogle.HTTPoisonMock","doc":"This is a TestDouble for HTTPoison which returns a predictable response.\nPlease see: https://github.com/dwyl/elixir-auth-google/issues/35","ref":"ElixirAuthGoogle.HTTPoisonMock.html"},{"type":"function","title":"ElixirAuthGoogle.HTTPoisonMock.get/1","doc":"get/1 passing in the wrong_token is used to test failure in the auth process.\nObviously, don't invoke it from your App unless you want people to see fails.","ref":"ElixirAuthGoogle.HTTPoisonMock.html#get/1"},{"type":"function","title":"ElixirAuthGoogle.HTTPoisonMock.post/2","doc":"post/2 passing in dummy _url & _body to test return of access_token.","ref":"ElixirAuthGoogle.HTTPoisonMock.html#post/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}